PaidGoods
API referenceAbandoned checkouts

List abandoned checkouts

GET
/v1/stores/{storeId}/abandoned-checkouts

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Query Parameters

view?string
Default"abandoned"

Value in

  • "abandoned"
  • "recovered"
  • "dismissed"
type?string

Value in

  • "ghost"
  • "dropped"
q?string
Lengthlength <= 200
from?string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Formatdate-time
to?string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Formatdate-time
sort?string
Default"created"

Value in

  • "created"
  • "value"
  • "recovery"
page?integer
Range1 <= value <= 9007199254740991
Default1
perPage?integer
Range1 <= value <= 200
Default20

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/abandoned-checkouts"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "type": "ghost",      "status": "open",      "email": "string",      "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",      "lines": [        {          "variantId": "d53feca7-c65b-4741-aca7-827a42d686bf",          "productId": "dcd53ddb-8104-4e48-8cc0-5df1088c6113",          "name": "string",          "variantName": "string",          "qty": -9007199254740991,          "totalMinor": -9007199254740991,          "subscribe": true        }      ],      "currency": "string",      "valueMinor": -9007199254740991,      "couponCode": "string",      "order": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "number": -9007199254740991,        "uniqueId": "string"      },      "paymentMethod": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "label": "string",        "provider": "string"      },      "createdAt": "string",      "lastActivityAt": "string",      "dismissedAt": "string",      "recoverySentAt": "string",      "recoverySource": "manual",      "recoveryDueAt": "string",      "recoverySkippedAt": "string",      "recoverySkipReason": "string",      "recoveryCouponCode": "string",      "convertedAt": "string",      "convertedOrder": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "number": -9007199254740991,        "totalMinor": -9007199254740991      }    }  ],  "pagination": {    "page": -9007199254740991,    "perPage": -9007199254740991,    "total": -9007199254740991  }}